• Resolved bwelburn2017

    (@bwelburn2017)


    Hi, is it possible to reinstall a previous version of LifterLMS?

    I mistakenly updated to the latest version but we are currently not running the latest version of php. currently it is running5.5.9 which I know is way too old, but that is out of my hands currently.

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Support Natalie

    (@nrherron)

    Hi @bwelburn2017,

    LifterLMS does not have a built in way to roll the plugin back to an old version but there is a guide here: https://www.wpbeginner.com/plugins/how-to-rollback-wordpress-plugins-version-control-for-beginners/ on how to revert to older versions of a plugin on WordPress!

    I hope this helps!

    Please let us know if you have any further questions!

    Thanks and take care,

    Thread Starter bwelburn2017

    (@bwelburn2017)

    Thanks Natalie

    Installed the WP-Rollback plugin but is says

    It appears there are no version to select. This is likely due to the plugin author not using tags for their versions and only committing new releases to the repository trunk.

    🙁

    Thread Starter bwelburn2017

    (@bwelburn2017)

    Hi Natalie

    Is there anyway to get a previous version from LifterLMS?

    Thanks

    Plugin Contributor Rocco Aliberti

    (@d4z_c0nf)

    Hi @bwelburn2017
    you can follow this for basically any WordPress plugins.

    Hope this helps.

    Thread Starter bwelburn2017

    (@bwelburn2017)

    Rocco, thanks

    But do not find any older versions using the lick you sent.

    appreciate your help

    Plugin Contributor Rocco Aliberti

    (@d4z_c0nf)

    Hi @bwelburn2017
    the link is to a post that explains how to get an older version of a plugin hosted on wordpress.org, it takes as example Yoast SEO plugin, but it’s valid for basically any other plugins, included LifterLMS, summarizing:
    – The first thing to do is search for the plugin in the WordPress repository.
    – Scroll down on the plugin’s page and click on the “Advanced View.”
    – Scroll to the bottom of the page and you will see an option to download previous versions of the plugin. As you can see below, you can go way back in time if needed. As the warning says remember that previous versions of a plugin may not be secure or stable and are available for testing purposes only. When you click on “Download” it will download a .zip version of the plugin.

    This way you can get an older version of LifterLMS.
    To “manually install” the version you just downloaded (replacing the one already installed on your site) you might want to follow this:
    https://lifterlms.com/docs/how-to-manually-install-lifterlms/

    Once again:
    As the warning says remember that previous versions of a plugin may not be secure or stable and are available for testing purposes only.

    And personally I need to add that you should install a very very old version of LifterLMS which is unsupported, the dev team sure patched a lot of issues since then and improved the plugin security.
    I strongly suggest you contact your host to update PHP instead:

    Get a faster, more secure website: update your PHP today

    Hope this helps.

    • This reply was modified 1 year, 1 month ago by Rocco Aliberti. Reason: adding personal consideration on updating php
    Thread Starter bwelburn2017

    (@bwelburn2017)

    Thanks, I appreciate that, I missed the part about Advanced option

    I agree re the php and this is an in house php install that I do not have control of

    Thanks again

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Previous LifterLMS versions’ is closed to new replies.